Update Picklists

Update a picklist by specifying its ID and the fields to update in the request body.

PUT /v2/epc/picklists

Remote Method

updatePicklist

REST Handler

APIPicklistRestHandler

Apex Remote Service

PCAppHandler

Package

Communication (vlocity_cmt)

API Parameters and Response Format

For API parameter names and descriptions, see the Swagger (OpenAPI) reference documentation for Industries EPC REST APIs.

Resource Information

Response Format JSON
Resource URL /services/apexrest/{namespace}/v2/epc/picklists

Example Request

PUT /v2/epc/picklists
{
  "epcRequest": {
    "entity": {
        "Id":"a313h000000rqfWAAQ",
      "Name": "Picklist-Example",
        "vlocity_cmt__Code__c": "Picklist-Example",
        "vlocity_cmt__VersionLabel__c": "Version-1",
        "vlocity_cmt__LifecycleStatus__c": "Draft",
        "vlocity_cmt__IsActive__c": false
    }
  }
}

Example Result

{
    "epcResponse": {
        "entities": [
            {
                "entity": {
                    "attributes": {
                        "type": "vlocity_cmt__Picklist__c",
                        "url": "/services/data/v52.0/sobjects/vlocity_cmt__Picklist__c/a313h000000rqfWAAQ"
                    },
                    "Id": "a313h000000rqfWAAQ",
                    "OwnerId": "0053h000002UGCUAA4",
                    "IsDeleted": false,
                    "Name": "Picklist-Example",
                    "CurrencyIsoCode": "USD",
                    "CreatedDate": "2021-09-02T09:03:02.000+0000",
                    "CreatedById": "0053h000002UGCUAA4",
                    "LastModifiedDate": "2021-09-02T09:18:22.000+0000",
                    "LastModifiedById": "0053h000002UGCUAA4",
                    "SystemModstamp": "2021-09-02T09:18:22.000+0000",
                    "LastViewedDate": "2021-09-02T09:18:21.000+0000",
                    "LastReferencedDate": "2021-09-02T09:18:21.000+0000",
                    "vlocity_cmt__Code__c": "Picklist-Example",
                    "vlocity_cmt__DataType__c": "Text",
                    "vlocity_cmt__GlobalGroupKey__c": "1e3d72b5-a2a1-5ee7-6084-08b6fc7bac4e",
                    "vlocity_cmt__GlobalKey__c": "32356d14-35fa-ee91-f8c3-103ef26317be",
                    "vlocity_cmt__IsActive__c": false,
                    "vlocity_cmt__IsShared__c": false,
                    "vlocity_cmt__LifecycleStatus__c": "Draft",
                    "vlocity_cmt__VersionLabel__c": "Version-1"
                }
            }
        ],
        "overallResult": "success"
    }
}